SupportUnitTest (jTDS API)
Keywords: net.sourceforge.jtds.test.SupportUnitTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class SupportUnitTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.UnitTestBase
                  net.sourceforge.jtds.test.SupportUnitTest

All Implemented Interfaces:
  junit.framework.Test

public class SupportUnitTest
extends UnitTestBase

Unit tests for the `Support` class.

Version:
  $Id: SupportUnitTest.java,v 1.1 2005/09/06 23:03:21 ddkilzer Exp $
Author:
  David D. Kilzer

Field Summary
`private java.lang.String` | `osName`
`private static java.lang.String` | `SYSTEM_PROPRETY_OS_NAME`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`SupportUnitTest(java.lang.String name)` Constructor.

Method Summary
`protected void` | `setUp()`
`protected void` | `tearDown()`
`void` | `testIsWindowsOS_Linux()`
`void` | `testIsWindowsOS_MacOSX()`
`void` | `testIsWindowsOS_Windows_XP()`
`void` | `testIsWindowsOS_windows()`
`void` | `testIsWindowsOS_Windows()`

Methods inherited from class net.sourceforge.jtds.test.UnitTestBase
`assertEquals, invokeConstructor, invokeGetInstanceField, invokeInstanceMethod, invokeSetInstanceField, invokeStaticMethod, ucFirst`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SYSTEM_PROPRETY_OS_NAME

    private static final java.lang.String SYSTEM_PROPRETY_OS_NAME

See Also:
  Constant Field Values

### osName

    private java.lang.String osName

Constructor Detail

### SupportUnitTest

    public SupportUnitTest(java.lang.String name)

  Constructor.

Parameters:
  `name` - The name of the test.

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testIsWindowsOS_Linux

    public void testIsWindowsOS_Linux()

### testIsWindowsOS_MacOSX

    public void testIsWindowsOS_MacOSX()

### testIsWindowsOS_windows

    public void testIsWindowsOS_windows()

### testIsWindowsOS_Windows

    public void testIsWindowsOS_Windows()

### testIsWindowsOS_Windows_XP

    public void testIsWindowsOS_Windows_XP()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009